
CN Index - Feature #6718

Provide head of SID chain resolution capability for search index

2015-01-06 17:05 - Skye Roseboom

Status: Rejected Start date: 2015-01-06

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Story Points:    

Description

Possibilities:

1.) Create a solr function to provide HoSC resolution in queries.

2.) Create new search index field to track whether the current record represents the 'head of a sid' chain.

Create processing logic to for maintenance of the new 'head of sid' chain field.

Records that do not have / use SID value would default to being the 'head of sid' chain.

History

#1 - 2015-01-06 17:07 - Skye Roseboom

- Description updated

#2 - 2015-02-03 18:38 - Skye Roseboom

- Parent task deleted (#6716)

#3 - 2015-02-03 18:38 - Skye Roseboom

- Tracker changed from Task to Feature

- translation missing: en.field_release set to 2

#4 - 2015-02-03 18:42 - Skye Roseboom

- Description updated

- Subject changed from Create head of sid field in search index schema and associated population and maintenance logic to Provide head of SID

chain resolution capability for search index

#5 - 2015-06-30 15:31 - Skye Roseboom

- Target version set to CCI-2.0-RC1

#6 - 2015-07-01 16:20 - Dave Vieglais

- Target version changed from CCI-2.0-RC1 to CCI-2.0.0

#7 - 2015-07-16 19:53 - Skye Roseboom

- Status changed from New to Rejected

Head or end of the series chain is already handled by finding the non-obsolete document that has the seriesID
